StrokeLineCap (JavaFX 19)
Description: declaration: module: javafx.graphics, package: javafx.scene.shape, enum: StrokeLineCap

Module javafx.graphics
Package javafx.scene.shape

# Enum Class StrokeLineCap

java.lang.Object
java.lang.Enum<StrokeLineCap>
javafx.scene.shape.StrokeLineCap

All Implemented Interfaces:
  `Serializable`, `Comparable<StrokeLineCap>`, `Constable`

public enum StrokeLineCap extends Enum<StrokeLineCap>
Defines the end cap style of a `Shape`.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUTT`
  Ends unclosed subpaths and dash segments with no added decoration.
  `ROUND`
  Ends unclosed subpaths and dash segments with a round decoration that has a radius equal to half of the width of the pen.
  `SQUARE`
  Ends unclosed subpaths and dash segments with a square projection that extends beyond the end of the segment to a distance equal to half of the line width.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StrokeLineCap`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StrokeLineCap[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SQUARE

    public static final StrokeLineCap SQUARE
    Ends unclosed subpaths and dash segments with a square projection that extends beyond the end of the segment to a distance equal to half of the line width.

  - ### BUTT

    public static final StrokeLineCap BUTT
    Ends unclosed subpaths and dash segments with no added decoration.

  - ### ROUND

    public static final StrokeLineCap ROUND
    Ends unclosed subpaths and dash segments with a round decoration that has a radius equal to half of the width of the pen.

- ## Method Details

  - ### values

    public static StrokeLineCap[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StrokeLineCap valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null